Subject: Re: CCL:G:Summary: X,Yx,Z vs. internal coordinates

From: John McKelvey <[email-masked]>
Date: Wed, 22 Jul 1998 17:35:15 -0700

Folks,

Could I throw in my 2-cents worth at this point.
I agree with some of the submitted points, and all of my experience is
covered already, in pieces, in the submitted discussion.  I would like to
render the following:

I have done many calculations containing both low barrier modes (floppy
phenyl groups) and polycyclic rings.  I have developed a perspective that I
found almost bullet-proof (submit the job and go on vacation).
 ... Using z-matrices
1)Optimize the geometry in Gaussian using PM3  
2)Then optimize the geometry with HF/3-21G  OPT=mndofc iop(4/8=20) [gets
the PM3 Hessian at the PM3 geometry(clearly positive definite) and
optimizes with 3-21G basis set]
3)Then optimize at next theory/basis set level...
4)  etc....

I haven't done much with redundant internals along this line.. I do,
however, _highly_ recommend steps similar to 1 and 2 above.  Good initial
guesses for initial torsin angles is quite important, and I have found PM3
to be far superior to Am1 and MNDO or MINDO/3 or CNDO/INDO after about 15
years of doing this sort of thing.

Hope this is useful..

John McKelvey
NCSA

At 09:29 AM 7/22/98 +0900, [email-masked] wrote:
>Dear Sir:
>
>        I summarized x,y,z vs. internal coordinates.
>
>Masao Masamura
>Preventive Dentistry
>Okayama University Dental School
>Shikata-cho, 2-5-1
>Okayama 700
>Japan
>FAX: 81-86-235-6714
>e-mail: [email-masked] 
>
><my question 1>
>
>        I ask about the following.
>
>(1)  The optimization using x,y,z coordinates is faster than that using
>internal coordinates.
>
>(2)  Do you experience that the optimization using x,y,z coordinates
>converges  unexpected optimized structure ?   The optimization using
>internal coordinates is more safe than the optimization using x,y,z
>coordinates ?
>
>        Thank you.
>
><responce 1-1>
>
>> (1)  The optimization using x,y,z coordinates is faster than that using
>> internal coordinates.
>
>No, generally not. Because in internal coord. you optimize 3N-6
>variables, whereas in xyz you have 3N.
>
>> 
>> (2)  Do you experience that the optimization using x,y,z coordinates
>> converges  unexpected optimized structure ?   The optimization using
>> internal coordinates is more safe than the optimization using x,y,z
>> coordinates ?
>
>Yes and no. For cyclic systems or bigger molecules, a little deviation
>of one variable like an angle can cause big distortions of your
>molecule. For example, since C1 and C6 in a 6-membered ring are not
>"connected", changing the dihedral 2-3-4-5 by 50 causes a relativily
>great change in bond length for C1-C6. 
>
>There are more types of coordinates like the redundant internal
>coordinates used in Gaussian. There is also a neverending debate about
>the "right" ones.
>See their manual at www.gaussian.com for references.
>
>-- 
>                                Andreas Goeller
>
>---------------------------------------------------------------
>   Dr. Andreas Goeller       Institut fuer Physikalische Chemie
>                               Friedrich-Schiller-Universitaet
>                                       Lessingstr. 10
>phone: +49(0)-3641-948352               D-07743 Jena
>  fax: +49(0)-3641-948302 (secretary)     Germany
>email: [email-masked]
>http://www.uni-jena.de/chemie/photo/goeller/goeller.html
>---------------------------------------------------------------
>   Dr. Andreas Goeller   ehemals Computer Chemie Centrum
>
>email: [email-masked]
>http://www.organik.uni-erlangen.de/clark/goeller/goeller.html
>---------------------------------------------------------------
>
><my question 2>
>
>       I would like to ask about the following.
>
>(1)  The redundant internal coordinates is more reliable ?
>(2)  What is www.gaussian.com ?
>(3)  The optimization using the redundant internal coordinates is faster
>than the optimization using x,y,z coordinates ?
>
><responce 2-1>
>
>> (1)  The redundant internal coordinates is more reliable ?
>
>They say so. These coord. have the advantage of being redundant, i.e., 
>there are achieved additional coord. from your input., so the system can
>change to other coord. during opt.
>> (2)  What is www.gaussian.comwww.gaussian.com ?
>http://www.gaussian.com
>> (3)  The optimization using the redundant internal coordinates is faster
>> than the optimization using x,y,z coordinates ?
>More likely leeding to convergence I would think
>> 
>
><responce 1-2>
>
>About the second item I have no experience, although it sounds a bit strange.
>However, for the first one, I can say that generally it is the opposite and
>optimization in the internal coordinates are much faster than cartesian
>coordinates. For some special cases, however, it is not straightforward to
set
>up a suitable internal coordinate set which can be properly used during the
>optimization and one has to use the XYZ coordinates (or redundant internal
>coordinates, if implemented).
>
><responce 1-3>
>
>I have heard arguments on both sides. One the one hand,
>optimization steps taken in torsion space are thought by
>many to follow more closely the natural low energy pathways
>in molecules, or at least in proteins. This argument seems to 
>be backed up by recent numerical experiments in Ruben Abagyan's group:
>
>Abagyan R.A. and Totrov, M.M. J. Mol. Bio 235 (1994) 983
>
>(which admittedly I have not read), in which they measure how 
>far one can move away from a local minimum and still return via
>optimization.
>
>Others argue that by restricting the conformational search
>to torsion space, the energy barriers are made higher
>and the search space becomes "topologically" more complex
>as a result. Note that the ECEPP forcefield used by Abagyan
>has adjusted torsional barrier heights, supposedly to 
>compensate for this.
>
>Personally, I think this is comparing apples with oranges until
>someone can perform an optimization in ALL internal coordinates
>(including bends, stretches etc. but excluding redundant coordinates)
>so that the number of degrees of freedom are the same. I suspect,
>however, that internal coords will win for the reasons stated above.
>Anybody know of a progam that can do FULL internal coordinate 
>optimization?
>
>
>Richard Gillilan
>Cornell Theory Center
>
><responve 1-4>
>
>Cartesian  <-> internal coordinates:
>This question has to be answered with is clear
>"It depends".
>
>Usually cartesian coordinates introduces a great
>deal of undesired couplings. One may get rid of them
>by choosing the right internal coordinates.
>My experience is that nothing can beat a well-chosen
>Z-matrix. Other internal coordinate systems, e.g.
>Pulays natural internal coordinates compare also very
>well in the literature.
>However, the choice of the coordinate system depends
>-at least in my view- entirely on two things:
>
>1. The nature of the molecule one wishes to optimize.
>   Establishing a Z-matrix for polycyclic systems is a
>   nightmare that nobody really wants to go through.
>   Some people claim that it is impossible to compose 
>   a good Z-matrix for such a system. So if the only two
>   options available are cartesians and Z-matrix AND the
>   molecule is unpleasantly complex, cartesians
>   should be preferred. 
>   In agreement with this, many papers mention that cartesians
>   are superior to anything else for polycyclic molecules.
>   However, these statements are NOT independent of 2.)
>
>2. The quality of the initial Hessian that is available.
>   Because of the couplings they introduce, cartesians do
>   in general not have the best reputation. However,
>   Baker and Hehre showed that if a good approximation to the Hessian
>   is available, cartesians perform comparably to other
>   sets of internal coordinates. They also stress, that for
>   FLEXIBLE polycyclic systems (whatever that may be) they found
>   the performance of cartesian coordinates to be below internal
>   coordinates.
>
>A few of the relevant references are:
>J.Baker and W.J. Hehre, J.Comp.Chem. 12, 606 (1991)
>J.Baker, J.Comp.Chem. 14, 1085 (1993)
>J.Baker and D.Bergeron, J.Comp.Chem. 14, 1339 (1993)
>P.Pulay and G.Fogarasi, J.Chem.Phys. 96, 2856 (1991)
>
> 
> Hope this helps,
> Folke
>
>
>Folke Noertemann
>Lehrstuhl f. Theoret. Chemie
>TU Muenchen
>[email-masked]
>
>
>-------This is added Automatically by the Software--------
>-- Original Sender Envelope Address: [email-masked]
>-- Original Sender From: Address: [email-masked]
>[email-masked]: Everybody | [email-masked]: Coordinator
>[email-masked]: HELP CHEMISTRY or HELP SEARCH | Gopher: www.ccl.net 73
>Anon. ftp: www.ccl.net   | [email-masked] -- archive search
>             Web: http://www.ccl.net/chemistry.html 
>
>